4.11.0
- 3rdparty: update libarchive sources to 3.8.5
- Fix mac maintenance tool update (QTIFW-3759)
- Fix potential DLL hijacking in Windows (QTIFW-2445)
- Fix script usage for local installed packages (QTIFW-3884)
- Fix component calculating in CLI mode (QTIFW-3873)
- Change default button in finished -page (QTIFW-3858)
- Build IFW binaries as universal in macOS
- Build IFW binaries with Qt 6.9.3
- Improve CLI input handling (QTIFW-3764)
- Inform about metadata download fail (QTIFW-3829)
- Improve lock acquisition error message for better clarity (QTIFW-3459)
- Convert missing backup error into warning during undo (QTIFW-3290)
- Support parallel data download (QTIFW-1151
- Fix variable replace (QTIFW-2945)
- Fix repository action handling (QTIFW-3730)
- Add possibility to add warning labels from script (QTIFW-3555)
- Add warning about space usage (QTIFW-3740)
- Add possibility to add text to LiceseAgreementPage (QTIFW-3626)
- Fix warning text on installation folder selection (QTIFW-3644)
- Check component name syntax in repogen and binarycreator (QTIFW-3823)

4.10.0
- 3rdparty: remove bundled LZMA SDK (QTIFW-3819)
- 3rdparty: patch libarchive to use GetTempPath2 when available
- 3rdparty: update libarchive sources to 3.7.9 (QTIFW-3770)
- Remove empty folders when uninstalling (QTIFW-3656)
- Add operation for stopping processes (QTIFW-3745)
- Make installation location a link (QTIFW-3628)
- Update documentation screenshots (QTIFW-3739)
- Show space exceeded -warning(QTIFW-3740)
- Fix calculation of installation size (QTIFW-3757)
- Binarycreator: Fix image reading from config.xml (QTIFW-3800)
- fix: remove trailing comma in Chinese translation for seconds (QTIFW-3799)
- CLI: Fix unnecessary uninstall of virtual, non-tristate components (QTIFW-3798)
- Add size information to component summary view (QTIFW-3752)
- Update size to contain also uninstallable components (QTIFW-3742)
- Allow hybrid MT with offline installer (QTIFW-3726)
- Update 'Ready for Installation' -page (QTIFW-3548, QTIFW-3549)
- Fix FinishedText overriding (QTIFW-3746)
- Add CLI option to change language for testing (QTIFW-3635)
- DOC: Fix bug in maintenance tool update documentation (QTIFW-3715)
- Force use of content verification
- Fix build against Qt 6.8

4.9.0
- Build IFW binaries with Qt6.7.2
- 3rdparty: update libarchive sources to 3.7.7 (QTIFW-3688)
- Component: optimize retrieving install state (QTIFW-3650)
- Fix silent errors on automatic tree name construction (QTIFW-3670)
- Set details view width fixed size (QTIFW-3625)
- Keep track of selected components (QTIFW-3486)
- PackageManagerGui: add signal to indicate page transition is completed(QTIFW-3606)
- Add search image to search -field
- Fix ReadyForInstallation -page layout (QTIFW-3608)
- Add possibility to add information about category usage (QTIFW-3597)
- Add guide text to Start menu page (QTIFW-3603)
- Move titles to the default location (QTIFW-3580)
- Add size information to component selection page (QTIFW-3593)
- Improve details view in component selection page (QTIFW-3592)
- Update component selection "All/None/Reset" style (QTIFW-3591)
- Move categories selection next to 'Search' bar (QTIFW-3545)
- Introduce a new signal when gui elements are ready (QTIFW-3480)
- Fix extracting when non-admin needs admin rights (QTIFW-3448)
- Fix obsolete function usages (QTIFW-3507)
- binarycreator: increase max file descriptor limit for Linux (QTIFW-3505)
- Optimize component search with regexp (QTIFW-3417)

4.8.1
- Fix macos app bundle update (QTIFW-3408)
- Fix maintenance tool update on restart (QTIFW-3397)
- Search optional components from fallback repositories (QTIFW-3398)
- Fix confusing component warnings when installing alias (QTIFW-3391)
- Install alias if optional component is unstable (QTIFW-3389)
- Optimize alias search (QTIFW-3392)

4.8.0
- Fix occasional crash in install phase (QTIFW-3314)
- Allow overwriting undo in some operations (QTIFW-3333, QTIFW-393)
- Add possibility to add extra log when meta fetch fails (QTIFW-3012)
- Fix http authorization login (QTIFW-3301)
- Fix QDesktopServices properties (QTIFW-3334)
- Fix maintenance tool register path parameters
- Fix productType function return value in macos (QTIFW-3309)
- Speed up cache validation (QTIFW-3328)
- Fix QFileDialog documentation (QTIFW-3320)
- Disable 'clear cache' button until new cache settings are applied (QTIFW-3252)
- Add detailed warning when hash verification fails
- Add security warning possibility when using additional repositories (QTIFW-3305)
- Add possibility to add additional license text to CLI (QTIFW-3319)
- Include minimal qt.conf file (QTIFW-3292)
- Add Chinese and Portuquese languages (QTIFW-3325)
- Fix translations missing in Linux and macOS (QTIFW-3310)
- CLI: Perform commands primarily from default repositories (QTIFW-3251)
- Add possibility to change button text (QTIFW-711)

4.7.0
- Fix CLI fail on huge amount of Updates.xml download (QTIFW-3249)
- Prepare for Linux on ARM support (QTIFW-3073)
- Add support for component aliases (QTIFW-2978)
- Enable building with Qt6.2 (QTIFW-3083)
- Enable building with Qt6.5 (QTIFW-1829)
- Build IFW binaries with Qt6.6
- 3rdparty: update libarchive sources to 3.7.1 release
- Use directory separators in path asking for process to be stopped
- Allow generating offline installers from Gui (QTIFW-3072)
- Show progress on Welcome screen (QTIFW-3068)
- Fix page title text on the last page (QTIFW-3060)
- Prevent uninstalling components when error occurs (QTIFW-3069)
- Consider full length of 'key=value' string in user arguments
- Fix admin rights handling during installer/updater/uninstaller runs (QTIFW-2929)
- Fix documentation about network share (QTIFW-2933)

4.6.1
- Fix crash when filtering categories (QTIFW-3085)
- Allow setting temporary repositories for offline-only installers (QTIFW-3078)
- DownloadArchivesJob: allow download retries for command line runs (QTIFW-3098)

4.6.0
- Unify handling of processes to close for 'updating' components (QTIFW-2927,QTIFW-3009)
- Fix wrong extract content (QTIFW-3010)
- Verify meta file integrity from cache (QTIFW-3023)
- Match title and message text on the first wizard page (SQUISH-9672)
- Allow shortcuts for https links in Windows (QTIFW-964)
- Metadata cache: register items by renaming instead of copying (QTIFW-2971)
- Center PackageManagerPage title and subtitle texts (QTIFW-2995)
- Fix showSettingsButton functionality (QTIFW-810)
- Add more verbose when archive download fails (QTBUG-11068)
- Fix custom error message in Execute operation (QTIFW-3007)
- Add more detailed error messages (QTIFW-2998,QTIFW-2883)
- Make messagebox texts selectable (QTIFW-3005)
- Fix invalid cache state (QTIFW-2998)
- UI update (QTIFW-2943)
- Add support for skipping fetching already cached Updates.xml files (QTIFW-2873)
- Performance optimizations (QTIFW-2805)
- 3rdparty: update libarchive sources to 3.6.2 release
- Fix building with Squish version 7.0.x (SQUISH-15697)
- Workaround possible stalls on single core systems
- Metadata cache: clear cache in a separate thread (QTIFW-2815)
- Fix enabled navigation buttons while metadata fetch is still in progress (QTIFW-2849)
- Add possibility to post load install scripts (QTIFW-2820)
- ExtractOp: fix leftover empty directories when 'targetDir' arg is used (QTIFW-2764)

4.5.2
- Fix freezing UI while searching components (QTIFW-2886)
- Show check box for AutoDependOn components in updater view (QTIFW-2855)
- Update OpenSSL version to 1.1.1s in prebuilt binaries

4.5.1
- Make Settings operation to support _OLD and placeholders (QTIFW-2882)
- ExtractOp: fix leftover empty directories when 'targetDir' arg is used (QTIFW-2764)
- Fix errors occurring in full uninstall on macOS (QTIFW-2875)
- Fix updater view behavior for non-checkable components (QTIFW-836)
- Execute operation: fix overwritten error string for crashed processes (QTIFW-2875)
- MetadataJob: fix removing compressed repositories after extracting (QTIFW-2876)
- Fix replaced removal on update (QTIFW-2887)
- Fix user set binary marker not having any effect on maintenance tool (QTIFW-2884)

4.5.0
- Fix required virtual components still uninstalled in some occasions
- Update translations (QTIFW-2814)
- macOS: support updating maintenance tool with an app bundle (QTIFW-2750)
- Fix possible uncaught exceptions while loading package data
- libarchive: support linking with zlib compiled into QtCore (QTIFW-2803)
- Add new '--cache-path' and 'clear-cache' options for CLI (QTIFW-2810)
- Add persistent metadata file cache (QTIFW-2621)
- Metadata evaluation optimizations (QTIFW-2790)
- Windows: fix placeholder version in "Apps & features" (QTIFW-2267)
- Fix installer stalling when there's only one CPU core (QTIFW-2786)
- Adjust the 'ready to install' message to avoid repeating the app name (SQUISH-9672)
- CLI: add support for hiding values of printed options (QTIFW-2756)
- Replace .vbs hack to update maintenance tool binary on Windows (QTIFW-2625)
- Disable package manager and updater for offline maintenance tool (QTIFW-2627)
- Display progress for loading component install scripts (QTIFW-2701)
- Fix separators for localInstallerBinaryUsed() (QTIFW-2700)
- Allow searching components also in the updater view (QTIFW-2667)
- Add list of components to uninstall to installation log (QTIFW-2666)

4.4.2
- Fix uninstallation of needed virtual components
- Attach to squish only when the port is separately given (QTIFW-2746)
- Windows: fix installation error with concurrent Extract operations (QTIFW-2752)
- Uninstaller remove target directory if it is empty (QTIFW-884)
- Uninstaller remove maintenancetool's data files (QTIFW-884)
- Do not convert newline characters in license files (QTIFW-903)
- Set encoding to UTF-8 when writing license file (QTIFW-1436)

4.4.1
- Fix bug when all requested packages are not installed (QTIFW-2708)

4.4.0
- Fix installer crash if already installed virtual components are replaced (QTIFW-2672)
- macOS: make creating maintenance tool alias optional (QTIFW-2665)
- Updated translation files (QTIFW-2622)
- RemoteObject: require server reply for all client commands (QTIFW-999)
- Allow plugin import in binarycreator (QTIFW-266)
- Windows: Allow asking installer value with different formats (QTIFW-2657)

4.4.0-beta
- Build Windows installer with 64bit MSVC2019 (QTIFW-2544)
- Workaround QSettings / QDateTime incompatibility with Qt 6 applications (QTIFW-2610)
- Swap priority of remote and binary resource package sources (QTIFW-2242)
- Do not install new dependencies for installed components (QTIFW-2624)
- Fix updating autodependency components (QTIFW-2595)
- Save sorting priority of components to local package hub (QTIFW-2631)
- Do not recalculate local installed components (QTIFW-2522)
- Remove unnecessary unstable calculation (QTIFW-2626)
- Do not emit dataChanged when model check state changes (QTIFW-2623)
- macOS: Create alias of maintenance tool to Applications directory (QTIFW-2535, QTIFW-2478)
- AspectRatioLabel: center the pixmap by default
- Speed up component selection in component selection pages (QTIFW-2522)
- Print uninstallation progress on archive level with normal verbosity (QTIFW-2615)
- Use fixed width font for the license text browser (QTIFW-2613)
- Fix rollback of extract when archive lists file entries first (QTIFW-2594)
- Add option for specifying maximum concurrent unpack operations (QTIFW-2586)
- Show additional progress information on PerformInstallationPage (QTIFW-2513)
- Use archive sizes for sorting and calculating progress of Extract ops (QTIFW-2431)
- Add support for parallel extraction of component archives (QTIFW-2566)
- Speed up Next button click in tree view (QTIFW-2598, QTIFW-694)
- AspectRatioLabel: prevent setting non-scaled pixmaps (QTIFW-2612)
- Fix wrong ApplicationsDir value on macOS (QTIFW-1011)
- Add missing mnemonic for the "Settings" button (QTIFW-2206)
- Update libarchive sources to 3.6.1 release
- Print archive and compression library versions with --version option (QTIFW-2507)
- 3rdparty: deprecate usage of LZMA SDK
- Add a signal which is emitted when the downloads are finished (QTIFW-2269)
- binarycreator: do not require -p option when -rcc option is used
- Repogen: allow usage of --update-new-components with unified metadata (QTIFW-2558)
- Doc: Add instructions for promoting maintenance tool updates (QTIFW-2440)
- CLI: Add error message for trying to install unstable components (QTIFW-2591)
- Doc: Remove -qt-xcb from recommended configure options (QTIFW-2557)
- Add install reason why component is uninstalled (QTIFW-2581)
- Add click option for product image (QTIFW-2361)
- Build commandline tools without plugins

4.3.0
- Fix extracting entries with file paths that contain unicode characters (QTIFW-2506)
- Update Japanese translation file
- Update Chinese translation file
- Use of separators in Execute operation (QTIFW-2501)
- Libarchive: include errno code description in error strings
- Gain admin rights when user is missing privilege to create symlinks (QTIFW-2428)
- Do not check file existence in ConsumeOutput operation (QTIFW-2499)
- Update Russian translation file
- Update libarchive sources to 3.5.2 release
- MT: Fix setting incorrect TargetDir value when started as root (QTIFW-2486)
- Enable 'Enter' to click Next -button in macOS (QTIFW-2409)
- Fix hard restart of maintenance tool (QTIFW-2381)
- Make Updater -view checkbox selection faster (QTIFW-1021)
- MT: Disable package manager when forced updates are found (QTIFW-2437)
- Update Arabic translation file
- Add "about application" menu and dialog on macOS (QTIFW-2453)
- CLI: Add <TreeName> value to 'list' and 'search' command outputs (QTIFW-2452)
- Fix visibility of warnings when failing to read product image (QTIFW-2426)
- Update Polish translation file
- Use Next as default button (QTIFW-1046)
- Update Portuguese translation file
- ArchiveFactory: register handlers for .qbsp file extension (QTIFW-2475)
- Fix segfaults when failing to fetch compressed repositories (QTIFW-2441)
- Fix Replace -element beviour (QTIFW-2454)
- Add Hungarian translation
- Update minimum required Qt version to Qt5.15.2
- Add support for moving child components with <TreeName> (QTIFW-2380)
- Update German translation file
- Fix replacing components with <TreeName> element (QTIFW-2455)
- Do not block installation when there are conflicting component names (QTIFW-2444)
- Update Spanish translation file
- Update French translation file
- Fix wrong title text after succesfull update (QTIFW-2439)
- Allow case insensitive CLI search and list (QTIFW-2451)
- Fix selecting target directory when elevated server process is active (QTIFW-2383)
- Add Korean translation
- Libarchive: enable support for uncompressed tar archives (QTIFW-2404)
- Enable handling 7z archives with libarchive (QTIFW-2375)
- Libarchive: fix handling of glob pattern arguments when creating archive (QTIFW-2423)
- Fix blocking UI when waiting start of the authorization fallback process (QTIFW-2374)
- Fix dependencies example exception (QTIFW-2362)
- Add possibility to search for components in ComponentSelectionPage (QTIFW-1404)

4.2.0
- Print essential component information regardless of verbosity (QTIFW-2349)
- Update Chinese translation
- Update Russian translation
- Update French translation
- Update Japanese translation
- Add Portuguese translation
- Update Arabic translation
- Update Spanish translation
- Update German translation
- Update Polish translation file
- Add ability to query used language in script (QTIFW-2208)
- Windows: return the value of "TargetDir" variable with '/' as separator (QTIFW-2344)
- Fix uncaught exception in InstallIconsOperation::performOperation() (QTIFW-2347)
- Add invokable methods for converting paths to/from native separators (QTIFW-2344)
- binarycreator: support selecting compression level and archive format (QTIFW-1587)
- repogen: add support for setting compression level for data archives (QTIFW-1587)
- Add support for handling archive files with libarchive (QTIFW-2255)
- Fix qbsp adding from GUI (QTIFW-2312)
- Apply environment changes to system environment (QTIFW-2288)
- Add total remaining download time estimation for archives (QTIFW-2207)
- Repogen: Fix updating of repository from a partial package set directory (QTIFW-2287)
- MT: Install new <ForcedInstallation> components with default check state (QTIFW-2286)
- MT: Fix reading of StartMenuDir value from incorrect config file (QTIFW-2284)
- MT: Hide superfluous size information when running as package manager (QTIFW-2293)
- QtPatch: Fix catching non-zero exit codes from "qmake -query" (QTIFW-2273)
- Fix hang when canceling metadatajob by an external call (QTIFW-2282)
- Fix replacing of {external-link} tags in component tree view tooltips (QTIFW-2264)
- Fix usage of '--install-compressed-repository' with a relative file path
- Load and install translations as early as possible (QTIFW-1888)
- Load control script also when using CLI (QTIFW-2268)
- Clarify required user actions when there is an essential update (QTIFW-2244)
- Doc: add note about limitation with CreateShortcut on Windows (QTIFW-2257)
- Fix loading translations with upper letters (QTIFW-2265)
- Fix updating visibility of the QToolBox widget on ComponentSelectionPage
- Reorder ComponentSelectionPage widgets (QTIFW-2096)
- Offline-generator: Fix duplicate package entries in internal Updates.xml (QTIFW-2190)
- CLI: Add support for additional filtering of search results (QTIFW-2168)
- Use pkexec to start the headless process used for privileged operations (QTIFW-1794)
- CLI: improvements to 'search' and 'install' command output (QTIFW-2168)
- Fix styling of QMessageBoxes (QTIFW-2121)
- Add alternative way to update components from repository (QTIFW-1798)

4.1.1
- Add possibility to filter available packages with regexp from script (QTIFW-2225)
- Add documentation for configuring and overwriting default translations (QTIFW-2217)
- Fix loading of component translations (QTIFW-2220)
- CLI: Print warning when creating over 4GB installers on Windows (QTIFW-2199)
- Remove wayland dependency from Linux binaries (QTIFW-2067)
- Fix maintenancetool overwriting installer values (QTIFW-2218)
- Fix QFile warning on rollback (QTIFW-2213)
- Fix return value for detached 'Execute' operation (QTIFW-2210)

4.1.0
- Emit signal when components are recalculated (QTIFW-2172)
- Add Arabic translation (QTIFW-1425)
- Update side widget with the binary marker changes in introduction page (QTIFW-2150)
- Fix App Error when trying to launch a running installer (QTIFW-2149)
- Fix value overwrite from command line (QTIFW-2021)
- Fix DesktopDir value for AllUsers
- CLI: Add warning when cli-only options are used without command keyword (QTIFW-2046)
- Translations: Update existing TS files (QTIFW-2126)
- Add possibility to move component in component tree (QTIFW-594)
- Try rerunning execute operation (QTIFW-2125)
- CLI: Exit when expecting user input and the output device is not a TTY (QTIFW-1949)
- Add support for setting minimum wizard dimensions in config.xml (QTIFW-1903)
- Save Execute operation with predefined variable (QTIFW-2124)
- Make LicenseAgreementPage license list & details browser user-resizable (QTIFW-1987)
- Fix wizard page addition before ComponentSelectionPage (QTIFW-1168)
- Remove double calculation of uninstall components (QTIFW-1021)
- Replace usage of derived LazyPlainTextEdit class with QTextEdit (QTIFW-1994)
- Fix InstallIcons and CreateDesktopEntry operations usage as root (QTIFW-2093)
- Add support for generating offline installer from online (QTIFW-1945)
- Provide tooltip texts for buttons (QTIFW-2073)
- Allow disabling undo in CreateLocalRepository operation during uninstall (QTIFW-2094)
- Remove 'Reject Licenses' radio button and change 'Accept Licenses' to checkbox (QTIFW-2057)
- Add highdpi support for watermark, banner, background and pagelistpixmaps (QTIFW-2084)
- Fix translating from component script (QTIFW-392)
- Allow disabling undo in RegisterFileType operation during uninstall (QTIFW-2089)
- Allow disabling undo in SimpleMoveFile operation during uninstall (2090)
- Allow disabling undo in CopyDirectory during uninstall (QTIFW-2088)
- Allow disabling undo of GlobalSettings during uninstall (QTIFW-1973)
- Introduce ForcedUpdate element for component (QTIFW-1565)
- Add high dpi image support for Logo and ProductImages (QTIFW-2061, QTIFW-2060)
- Copy highdpi images as resource to installer (QTIFW-2080)
- Tools: fix binarycreator usage with unified meta-only repositories (QTIFW-2051)
- Add option to define operations in component.xml (QTIFW-507)
- Print package information in xml format (QTIFW-1950)
- Arrange licenses and filter duplicates
- CLI: Print extra archive information with higher verbosity level (QTIFW-1998)
- Allow to set ForcedInstallation from component script (QTIFW-675)
- Automatically uninstall unneeded virtual components (QTBUG-76210)
- CLI: Add possibility to filter installed packages with regexp (QTIFW-1953)

4.0.1
- Enable HighDPI support in X11
- Fix AppendFile undo (QTIFW-2020)
- Repogen: Fix unite metadata when --repository switch used ( QTIFW-2018)
- Docs: Fix doc on gui::showFinishedPage() (QTIFW-798)
- Fix loading controller script with comment on last line (QTIFW-1062)
- Fix segfault on file download error properly
- Doc: Update command line interface reference
- Obey stylesheet in SettingsDialog (QTIFW-1507)
- CLI: Fix wrong warning text in command 'purge' for running processes (QTIFW-1996)

4.0.0
- Fix essential update (QTIFW-1970)
- Print package id when running checkupdates (QTIFW-1972)
- Update documentation to support clang
- Allow setting BackgroundPixmap shown on MacStyle regardless of platform (QTIFW-1175)
- Hide detailed verbose with lowest verbose level
- Add support for vendor set image decoration (QTIFW-1900)
- Add verbose levels (QTIFW-1914)
- CLI: Ask user confirmation before performing installer actions (QTIFW-1834)
- Add possibility to add custom widget from script to certain position (QTIFW-1847)
- Add function to get information if default install is performed (QTIFW-1847)
- Add possibility to select/deselect component from script using core (QTIFW-1847)
- Add a page list widget to installer wizard (QTIFW-1755)
- Add function to enable button click with objectname (QTIFW-1707)
- Add support for disabling CLI features from configuration file (QTIFW-1760)
- Fix interrupt() call from script
- CLI: Add option to read arbitrary user input (QTIFW-1631)
- Use default button if auto-answer value not found
- Fix addElevatedOperation prevents installing from CLI (QTIFW-1700)
- Add possibility to accept licenses from CLI (QTIFW-1742, QTIFW-1745)
- Answer queries from command line (QTIFW-1739)
- Fix creation of local repository with elevated permissions (QTIFW-1500)
- Update minimum required Qt version to Qt5.12.7
- Add new option --auto-answer (QTIFW-1740)
- Allow setting IFW_LIB_PATH with qmake
- Add possibility to auto accept or reject IFW queries from CLI (QTIFW-1736)
- Fix bugs in InstallIconsOperation and add unit tests (QTIFW-1715, QTIFW-1465)
- Initialize user arguments earlier (QTIFW-576, QTIFW-1730)
- Remove existing installation from command line (QTIFW-1574)
- Add function to allow additional processes to be run (QTIFW-1019)
- Add possibility to compress metadata per repository
- Separate maintenance tool writing for testing purpose
- Add short versions of CLI options (QTIFW-1634)
- Perform headless commands without GUI dependency (QTIFW-1633)
- Show progress in CLI when performing time consuming operations (QTIFW-1625)
- Add command line option to start the installer binary as uninstaller (QTIFW-1639)
- Change IntroductionPage radio button handling in maintenance tool (QTIFW-349)
- Enable optional targetDir argument on command line installation (QTIFW-1608)
- Uninstall selected packages from command line
- Use of QLoggingCategory
- Do not prompt admin query when command line interface is used (QTIFW-1598)
- Enable command line default components installation (QTIFW-1583)
- Remove obsolete sharedFlag() function
- Update IFW version number
- Install selected packages from CLI
- Update selected components from command line
- List available packages from command line
- List installed packages from command line
- Add regular expression support to replace operation (QTIFW-889)
- Change ApplicationsDir variable on macOS to return "/Applications"(QTIFW-1011)
- Add Brazilian portuguese translation file
- Accept translation file names in ifw_language_COUNTRY.ts format

3.2.3
- Translation fixes (QTIFW-1435, QTBUG-75911)
- Provide a means to use fixed translations for Qt and IFW

3.2.2
- Using patched Qt5.12.4 for binary builds (QTIFW-1632)
- Add a command line argument to disable size check (QTIFW-1602)
- Show information about updated components in repogen (QTIFW-1543)
- Fix EnvironmentVariableOp undo behavior with non-persistent variables
- Fix building against Qt 5.14 and newer (QTIFW-1526)
- Fix devtool documentation
- Fix building with msvc2013

3.2.1
- Documentation fixes
- Fix QWizardPage title color (QTIFW-1557)

3.2.0
- Fix extracted files list formation in ExtractArchive operation (QTIFW-1239)
- Decrease the .dat file file size by writing file names to a separate file instead of .dat (QTIFW-1448)
- Use grid layout in component selection page (QTIFW-1334)
- Fix addDependency functionality (QTIFW-1458)
- Fix --no-proxy option in Windows (QTIFW-1445)
- Fix env variable remove on Windows (QTIFW-1148)
- Fix essential package update (QTIFW-1215)
- Fix CreateLink operation destination string formatting on Windows (QTIFW-1443)
- Gain admin rights for writing MaintenanceTool config files if needed (QTIFW-1363)
- Update INSTALL file (QTIFW-1185)
- Fix initially deactivated buttons when selecting components to update (QTIFW-1320)
- Fix installer hang on Windows with empty command prompt window appearing (QTIFW-1250)
- Add IFW version information to installerbase binary on Windows (QTIFW-1397)
- Fix Mkdir undo operation fail to remove directory in Settings operation (QTIFW-1365)
- Fix IFW version information not apparent on macOS (QTIFW-1396)
- Update repository categories on server authentication request (QTIFW-1358)
- Fix recalculation of components to install in MaintenanceTool (QTIFW-694)
- Enable support for Qt 5.12. In Windows supported compilers are msvc2015 and msvc2017 (QTIFW-1312)
- Set default file permissions to installer created files on Unix (QTIFW-1412)
- MacOS: Fix widget overlapping in componentselection page in MacOS 10.12 (QTIFW-1437)

3.1.1
- Add fetch to the same pane with package categories (QTIFW-1284)
- Change text in Select Components view when selection of components is not possible (QTIFW-1241)
- Fix long description texts not properly shown by enabling scrolling (QTIFW-1308)
- Fix install button string having a font name in French translation (QTIFW-1333)
- Fix maintenance tool size (QTIFW-1322)
- Update Russian translation
- Enable links and text selection in component description fields (QTIFW-1292)

3.1.0
- Fix wizard's maximum size not to exceed screen maximum size (QTIFW-1227)
- Allow maintenancetool signing in Windows (QTIFW-667)
- Enable usage of categorized repositories (QTIFW-1147)
- Add possibility to check/uncheck repositories with one button click (QTIFW-1132)
- Update danish (da) translation for Qt installer-framework
- Add attribute to mark parts of install tree unstable (QTIFW-930)
   -> Setting AllowUnstablecomponents to true in config.xml will
    * allow installing other components when there are errors in scripts
    * allow installing other components when there are missing dependencies
    * allow installing other components when there are sha mismatches in metadata
    * will mark the 'broken' components uninstallable in treeview
- Add findFiles method (QTIFW-1094)
- Enable expanding items by default
- Add support dash (-) symbol in component name (QTIFW-948)
- Allow comparing non-numeric versions (QTIFW-948)
- Add Component::addAutoDependOn method
- Teach 'binarycreator' and 'repogen' to repack packages from repository (QTIFW-925)

3.0.6
- Remove 'Your install seems to be corrupted' messagebox (QTIFW-1003)
- Register virtual component for uninstall (QTIFW-1102)
- Optimize ExctractArchiveOperation::fileFinished() (QTBUG-51337)
- Do not reset core data values in restart (QTIFW-504)
- Fix maintenancetool writing in Windows (QTIFW-1096)
- Fix environment variables for XDG paths not being recognized (QTIFW-1043)
- Update german translation file (QTIFW-1084)
- Fix admin query retry (QTIFW-988, QTIFW-1173)
- Fix install fail if there is no metadata (QTIFW-1150)
- Reset meta information download result (QTIFW-1137)

3.0.5
- Decrease metadata dowload amount (QTIFW-975)
- Print component warnings only in verbose mode (QTIFW-975)
- Fix nested autodependency uninstall (QTIFW-1114, QTBUG-67106)
- Fix crash in updater if component does not exist anymore (QTIFW-1140)

3.0.4
- Fix infinite wait if downloadable package is missing (QTIFW-1064)
- Fix the maintenancetool that failing to elevate to admin (QTIFW-1010)
- Fix devtool's segmentation fault when using operation
- Update Japanese translation
- Remove unnecessary warning (QTIFW-1022)
- Fix Mkdir operation in uninstall (QTIFW-1099)
- Enable building IFW with Squish support

3.0.3
- Set correct proxy type (QTBUG-65143)
- Add no-proxy option (QTIFW-1085)
- Fix maintenancetool icon visibility in Mac (QTIFW-1074)
- Fix EnvironmentVariable operation in Windows (QTIFW-794)
- Fix crash when downloadable package is missing (QTIFW-1064)
- Documentation fixes

3.0.2
- Add possibility to reopen admin query (QTIFW-988)
- Implement package download resume (QTIFW-5)
- Use QDir::rmdir and not rmpath as that will remove more than it should
- Enable HighDPI support only in Windows
- Do not reset core when pressing 'Restart' (QTIFW-1017)
- Update italian translation
- Update russian translation
- Fixed building with dynamically linked Qt (QTIFW-993)

3.0.1
- Fix install type if --online-only passed to binarycreator
- Fix install fail if there are missing repositories
- Fix Component Name visibility in maintenancetool
- Adminauthorization freeze fixed under unix (QTIFW-934)
- Enable high-DPI scaling (QTBUG-61122)
- Fix maintenance tool update with silentUpdate (QTIFW-976)

3.0.0
- Change required Qt version, minimum version is now 5.6.2.
- Clarify the add/remove components string to make it clearer
- Fix crash at the very end of install if admin rights needed in Windows (QTIFW-943)
- Make installer to check the dependency version (QTIFW-914)
- Fix uninstallation on Windows when target path contains non-ascii characters
- Fix installer crash when it contains replaced and replacement component (QTIFW-915)
- Avoid warning messages when passing '--platform minimal'
- New --silentUpdate command line option (QTIFW-906)
- Allow installing compressed packages. (QTIFW-886)
- Make support for modifying installations configurable. Introduces new setting 'SupportsModify' in the config.xml.
- Allow the use of relative URLs to update repositories in Updates.xml.
- Fix cancel button functionality in Settings->Repositories->Test. (QTIFW-832)
- Introduced gui.setTextItems() method
- Store lock files in temporary directory
- Vertical layout for LicenseAgreement page. (QTIFW-815)
- add NOMINMAX to fix compile with Qt5.7 in Windows (QTIFW-854)
- Make usage of authorization fallback optional
- Fix building with ICC on Windows. (QTIFW-851)
- Add ApplicationsDirX86 and ApplicationsDirX64 predefined Variables.
- Fixed (and greatly simplified) creating .dmg files
- Add a logging category and debug print for http download
- Make communication via installer.execute() Unicode safe - added two new optional arguments to installer.execute() to define the used codec.
- Allow specifying the installer size in 'em' or 'ex' units
- Fixed deleting files when uninstalling on OS X
- Fix arguments in RegisterFileType
- Add new '--sign' switch to binarycreator for signing OS X app bundles
- Fix setValue saving in restart. (QTIFW-504)
- Allow calling installer.setValue() with an empty string as the value.
- Fixed writing log on Windows if target dir requires admin rights.
- Fixed final 'Finish' message on OS X.
- Resize banner image to fit default installer width.
- Allow defining non-checkable items - introduces new element 'Checkable' for package. (QTIFW-773)
- Added support for setting descriptions of Windows shortcuts.
- Let mkdmg.sh script on OS X actually create random temporary file names. (QTIFW-780)
- Fix timeout errors while building app bundles files on OS X.
- Fix timezone issue in archive, simply keep the UTC time.
- Optimized checking validity of target directory value on Windows. (QTIFW-673)
- Remove implicit expanding vertical spacer from dynamic pages. (QTIFW-779)
- Fixed compiling lib7z_facade.cpp with Visual Studio 2013.
- Fixed several sudo problems eg. (QTIFW-771)
- Fixed running binarycreator if the temporary directory name contains spaces. (QTIFW-787)
- Fix violated assertion in error handling of binarycreator.
- Automatically choose to perform uninstall if appropriate.
- Implemented installer.readFile().
- Implemented support for creating URL shortcuts on Windows.
- Fixed occasional crash on Windows when terminating installer.
- Fix broken daylight saving time check.
- Fix crash when updating admin installation with user/temp repository. (QTIFW-740)
- Read UrlQueryString from settings. (QTIFW-744)
- Allow to use the stylesheet to customize UI.
- Add Castilian Spanish translation.
- Add possibility to run silently without a gui. (QTIFW-166)
- Removed {kd} and {kdupdater} prefix.
- Make the installation relocatable (with some limitations). (QTIFW-653)
- Add factory auto test.
- Fix canceling the download done by an external call.
- Print Qt version in verbose output.
- Fix missing filename conversion on UNIX systems. (QTIFW-643)
- Remove superfluous clone() method from operations.
- Implement generic factory using c++11 variadic template feature.
- Follow description on MSDN to implement time utils. (QTIFW-445)
- Fix compile for gcc 4.7.3.
- Convert to Qt 5 connect syntax.
- Remove signal finished() overload.
- Use qmake .depends instead of CONFIG += ordered.
- Update archivegen.
    * Stop on file errors.
    * Better verbose/ help output.
    * Add support for compression level.
    * Do not hide symbols in statically build lib7z to use e.g. CPercentPrinter symbol in dynamic IFW builds.
- Update source tree with version 9.38.beta of LZMA SDK.
- Store AutoDependOn inside components.xml.
- Implemented xml:lang attribute support for DisplayName tag.
- Added AllUsers constant.
- Enable feature live preview of dependencies. Introduces new InstallActionColumnVisible property to config.xml.
- Remove scRemoteVersion, it's the same as scVersion.
- Introduce a new struct PackageInfo which replaces UpdateSourceInfo.
- Use positional arguments instead of options in devtool.
- Add a warning if component with data contains children.
- Fix reading and checking arguments of CreateShortcutOperation
- Introduc new isMaintainer() method

2.0.5
- Fix hang in Windows when admin rights needed. (QTIFW-902)
- Use deterministic sorting order for components. (QTIFW-833)
- Resolve relative URLs from Updates.xml.
- Do not fail to install or update if repository is missing

2.0.4
- Set also display name for Repository action "remove"
- Adjusted wrong repogen parameter name
- Fix settings test
- Make Execute operation work without arguments in Windows
- Add make install functionality with INSTALL_ROOT
- Do not force doc build on Linux when calling "make install"
- Documentation updates

2.0.3
- Update Japanese translation.
- Make IFW compile with FreeBSD. (QTIFW-841)
- Fix MSVC2015 build.
- Revert "Use QQmlV4Function to correctly get empty parameters from script."
- Fix crash when updating admin installation with user/temp repository (QTIFW-740)
- Compile with Qt 5.5, 5.6. Minimum version is now 5.5.
- Fix compile with namespace'ed Qt.

2.0.2
- Doc: Remove dubious sentence from installer.calculateComponentsToUninstall().
- Update documentation for --runoperation.
- Update the git-archive export options.
- Add alternative option where to read the installer-framework sha1.
- Add sync.profile.
- Add .qt-license-check.exclude and .qt-license-check.optional rules.
- Update license headers.
- Fix target directory check for reserved words on Windows.
- Use QQmlV4Function to correctly get empty parameters from script. (QTIFW-724)
- Fix errors when running updates in a directory requiring elevation. (QTIFW-746)
- Doc: Fix the function name in Controller Scripting page.
- Fix usage of system proxy with credentials. (QTBUG-46547)
- Unify handling of translations. QTIFW-390
- Init all components with proper install action. (QTIFW-727)
- Fix .dat file that gets deleted after multiple component changes on Windows.
- Fix maintenance tool upgrade on OS X.
- Fix handling of system proxy with credentials. (QTBUG-46547)
- Unify selection of language for translations. (QTIFW-390)
- Fix return value of component.installAction() when updating. (QTIFW-727)
- Fix errors when updating an installation requiring elevation on Windows. (QTIFW-746)
- Documentation updates.

2.0.1
- Do not throw exception on empty translation files.
- Fix --checkupdates mode.
- Prevent disabled component to be selected using the Select All button. (QTIFW-635)
- Windows: Fix crashes in elevated installation. (QTIFW-6656, QTIFW-659)
- OS X: Fix problems with writing settings in elevated installation (QTIFW-709)
- Fix crash on exit for Windows XP, Vista. (QTIFW-652)
- Re-add handling of zero compression level files supported by 7z.
- Improve Proxy Credentials dialog.
- Make component checker warning optional (set QT_LOGGING_RULES=ifw.componentChecker=true to enable).
- Make code ready to be compiled with Qt 5.5.
- Documentation updates.

2.0.0
- Require Qt 5.4 as a minimal version, Qt 4 code removed.
- Only support Qt 5 on documentation side as well.
- Source code is now available also under LGPLv3.
- Changed the default value of AllowSpaceInPath in config.xml to true.
- Made cycles in component dependencies fatal.
- Respect AllowSpaceInPath everywhere.
- Fixed crash while canceling the meta data unzip task.
- Fixed replacing of the maintenance tool binary.
- Introduced new classes for client-server communication.
- Replaced qscript with js engine.
- Added an example how to use dynamic pages.
- Added an example how to ask for a license agreement.
- Provided an API to get all wizard pages from java script. (QTIFW-477)
- Made the installer binary paths available for scripts.  (QTIFW-424)
- Fixed possible case of uninstalling all of Windows. (QTIFW-511)
- Stopped trying to get admin rights on Windows if impossible.
- Introduced developer tool.
- Improved checking of Installationpath and better reporting to user. (QTIFW-468, QTIFW-512)
- Fixed detailwindow not following content. (QTIFW-353)
- Log messages are now prefixed with a timestamp. (QTIFW-496)
- Renamed settings inside config.xml:
  - UninstallerName renamed to MaintenanceToolName (default value changed to "maintenancetool")
  - UninstallerIniFile renamed to MaintenanceToolIniFile
- Windows: Re-use parent console for verbose output if possible
- Fixed disk space checking for updates. (QTIFW-434)
- List disk space requirements prior to installation. (QTIFW-16)
- Toggle details with verbose mode. (QTIFW-140)
- Implemented progress indicator on taskbar on Windows. (QTIFW-15)
- Added --framework-version argument.
- Fixed the uninstaller calculator.
- Fixed broken command line parsing.
- Fixed binary data extraction. (QTIFW-574)
- Fixed uninstall after installing into a target with elevated permissions. (QTIFW-447, QTIFW-479)
- Allow spaces in RunProgramArguments. (QTIFW-227)
- Removed some deprecated things.
- Removed SetQtCreatorArrayValue, AddQtCreatorArrayValue operations.
- Removed ApplyProductKey, ReplaceInstallNames, QtPatch operations.
- Added systemInfo to the scripting API. (QTIFW-592)
- Changed default of 'AllowSpaceInPath' from false to true.
- Added possibility to specify a control script on installer creation. (QTIFW-166, QTIFW-495)
- Introduced a setting for Wizard default height and width. (QTIFW-47)
- Added CreateLocalRepository configuration option.
- Simplified registration of objects into the script engine.
- Made sure widgets from .ui files are properly registered to the engine.
- No longer use Version as the repository format version.
- Introduced InstallAction property for components.
- Marked "os" variable as deprecated.
- Show "Forced" component as enabled, but without checkbox. (QTIFW-491)
- Fixed running out of sockets in server.
- No longer show checkbox for autodependent components.
- No longer defer deletion of sockets in RemoteObject.
- Fixed loading of translations.
- Set objectName for QThread.
- Use local sockets for client-server communication. (QTIFW-228)
- Fixed handling of incomplete messages in client-server communication.
- Improved the examples and their documentation.
- Added and improved documentation. (QTIFW-526)
- Added translations: Polish, Italian
- Updated and improved translations.
- Fixed various bugs. (QTIFW-397, QTIFW-469, QTIFW-481, QTIFW-524, QTIFW-538, QTIFW-541, QTIFW-542, QTIFW-562, QTIFW-564, QTIFW-568, QTIFW-569, QTIFW-583, QTIFW-589, QTIFW-593, QTIFW-600, QTIFW-602, QTIFW-605, QTIFW-612, QTIFW-615, QTIFW-616, QTIFW-618, QTIFW-620, QTIFW-621, QTIFW-622, QTIFW-625, QTBUG-633)

Thanks go to Christoph Vogtländer, Sze Howe Koh, Ray Donnelly, Tasuku Suzuki, Takayuki Orito, Sascha Cunz, Zhang Xingtao, Sergey Belyashov and Cuoghi Massimiliano for contributions.

1.6.0
- No longer requires Xcode command line tools on Mac. (QTBUG-38015)
- Use local encoding to parse executable output in ConsumeOutput.
- Avoid 'Too many open files' on Mac.
- Fixed HTTP proxy settings not having any effect. (QTIFW-498)
- Made it possible to calculate dependencies from script. (QTIFW-503)
- Bugfixes (QTBUG-38343, QTIFW-488)
- Code cleanup

1.5.1
- The checkupdates option handles no-network situations better. (QTIFW-431)
- Fixed random crash while accessing arguments.
- Fixed I18N on Windows.
- Qt5 compatibility fixes.
- Fixed for path handling on Windows.
- Fixed preselection of components from another component.
- Added operationExists method on script side.
- Unified access to the supported schemes.
- Implemented missing setNativeArguments wrapper. (QTIFW-310)
- Fixed banner image not working in dynamic pages. (QTIFW-471)
- Fixed hang when entering wrong sudo password. (QTIFW-409 and QTIFW-451)
- Documentation improvements.
- Updated translations.

Thanks go to Takumi Asaki and Sergey Belyashov for contributions.

1.5.0
- Fixed generation of random temp directory name. (QTIFW-427)
- Now reuses http proxy settings for https.
- Allow a page to force showing the settings button.
- Read qmake output even if it crashed.
- Implemented factory to be able to insert wizard pages dynamically.
- Open a console window (Windows) to show the verbose output. (QTIFW-403)
- Added new settingsoperation.
- Offline installer do not require any temporary space.
- Now .dmg files are named after the application bundle on Mac OS X.
- Introduced ApplicationsDir variable. (QTIFW-258)
- Now never delete the install directory if it's not empty.
- Environment variables changes are now propagated to the system. (QTIFW-391)
- Build installers with accessibility plugin. (QTBUG-34296)
- Improved documentation.
- Minor bugfixes.

1.4.1
- Added support to pass a query string when downloading archives. (QTIFW-329)
- Fixed progress display for redirected HTTP Downloads. (QTIFW-267)
- Add support to repogen to update only newer components. (QTIFW-234)
- Don't show RunProgram after uninstall. (QTIFW-366)
- Fix broken random name generation for temporary directories. (QTIFW-354)
- Removed unnecessary WindowModal in the gui. (QTIFW-364)
- Made some previously missed elements scriptable. (QTIFW-372)
- Fixed searching for magic marker.
- Now create the temp remoterepo directory later to avoid conflicts.
- Disable close button during installer run to avoid crashes.
- Child repositories added by setTempRepository are no longer default. (QTIFW-373)
- Ignore filtered repositories as early as possible to avoid hang.
- Connect extract operation to progress calculation. (QTIFW-11, QTIFW-141)
- Fixed target dir for root installations and empty AdminTargetDir.
- Fixed broken dependency resolver.
- Implemented a way to replace the default resource.
- Renamed forceRestart to needsHardRestart.
- Made installer apps retina-ready.
- Restart on the wizard now cleans up component leftovers.
- Read file content in case mmap fails (fallback).  (QTIFW-400)
- Added more autotests.
- Improved documentation.
- Minor bugfixes.

1.4
- Force updating of Essential components. (QTIFW-38, QTIFW-155)
- Display release date in Updater and Packagemanager. (QTIFW-25)
- Fixed a crash in the package manager. (QTIFW-313)
- Fixed component selection showing wrong package sizes. (QTIFW-302)
- Better handling of dependencies while updating. (QTIFW-318)
- Now allows to ignore SSL errors.
- Implemented dedicated translation settings support.
- Added exceptionhandler code for connected signals/JS methods.
- Now properly calculates the file size for symlinks. (QTIFW-137)
- Fixed downloading when the server redirects.
- Changed two fatals to warnings.
- Added errorString to execute operation error output.
- Implemented configuration interface. (QTIFW-196)
- Introduced no_app_bundle.pri for Mac.
- Added a change installer ui example.
- Added entered/left signals to pages.
- Forwarded packagemanager core to ProductKeyCheck class.
- Added installerscriptengine.
- Replaced the external date and time implementation.
- Now only uses the basic LZMA SDK (instead of all of 7zip).
- Forwarded make "check" target to autotests.
- Added documentation for JS API.
- Fixed messageboxhandler.
- Added INSTALL file, cleaned up README.
- Now sets the subTitle to " " if empty on Linux as well.
- Now checks for os-release instead of lsb-release on Linux.
- Added getrepositorycontent tool.
- Now provides documentation for Vendorprefix parameter.
- Fixed output of line number in log.
- Fixed broken update behavior (in the size and description label).
- Binarycreator now assumes offline installer if there are no repositories. (QTIFW-224)
- Rewrote copy configuration function. (QTIFW-221)
- Added banner pixmap to the wizard.
- Removed previously deprecated Pages config.xml element.
- Deprecated Icon, introduce replacements for config.xml.
- Added component model behavior auto test and fix broken model. (QTIFW-84, QTIFW-213)
- Made CreateShortcut operation a NOOP on non-Windows systems.
- Added RunProgramArguments to config.xml.
- Qt5 SDK specific fixes.
- Minor documentation fixes and additions.
- Added more autotests.
- Bugfixes
- Added Japanese translation.
- Updated translations
- Cleaned up the Code.

1.3.1
- Fixed missing magic cookie in installer binary on Mac. (QTIFW-322)
- Fixed UNDO of MkDirOperation and CopyOperation.
- Enabled Qt4 patch syntax in QtPatchOperation.
- Added the OS attribute to be compatible with old sdks.
- Show the error string not the empty errorString when parsing Settings.
- Now continues on unknown operations.
- Fixed error handling in 7z lib.
- Added a DisplayName setting for repositories. (QTIFW-244)
- Chinese Translation added
- Documentation fixes and additions.
- Bugfixes (QTIFW-271 et al)
